<?php
/**
 * Ansel_Widget_links:: class to wrap the display of various feed links etc...
 *
 * $Horde: ansel/lib/Widget/Links.php,v 1.7.2.4 2008/11/03 02:59:04 mrubinsk Exp $
 *
 * @author Michael J. Rubinsky <mrubinsk@horde.org>
 * @package Ansel
 */
class Ansel_Widget_Links extends Ansel_Widget {

    function Ansel_Widget_Links($params)
    {
        parent::Ansel_Widget($params);
        $this->_title = _("Links");
    }

    function html()
    {
        global $registry;

        $feedurl = Horde::url('rss.php', true);
        $owner = $this->_view->gallery->get('owner');
        $html = $this->_htmlBegin();
        $html .= Horde::link(Ansel::getUrlFor('rss_user', array('owner' => $owner))) . Horde::img('feed.png', '', '', $registry->getImageDir('horde')) . ' ' . sprintf(_("Recent photos by %s"), $owner) . '</a>';
        $slug = $this->_view->gallery->get('slug');
        $html .= '<br />' . Horde::link(Ansel::getUrlFor('rss_gallery', array('gallery' => $this->_view->gallery->id, 'slug' => $slug))) . ' ' .  Horde::img('feed.png', '', '', $registry->getImageDir('horde')) . ' ' . sprintf(_("Recent photos in %s"), htmlspecialchars($this->_view->gallery->get('name'))) . '</a>';

        /* Embed html */
        $src = 'xrequest.php?requestType=Embed';
        if (!empty($slug))  {
            $src .= '/gallery_slug=' . $slug;
        } else {
            $src .= '/gallery_id=' . $this->_view->gallery->id;
        }
        $src .= '/container=ansel' . $this->_view->gallery->id . '/count=10';
        $src = Horde::applicationUrl($src, true);

        $embed =  htmlentities('<script type="text/javascript" src="' . $src . '"></script>'
            . '<div id="ansel' . $this->_view->gallery->id . '"></div>');


        $html .= '<div class="embedInput">' . _("Embed: ") . '<br /><input type="text" readonly="readonly" value="' . $embed
            . '" /></div>';

        $html .= $this->_htmlEnd();
        return $html;
    }

}
?>